Package org.codehaus.groovy.transform.stc

# Class TypeCheckingContext.EnclosingClosure

java.lang.Object
org.codehaus.groovy.transform.stc.TypeCheckingContext.EnclosingClosure

Enclosing class:
  `TypeCheckingContext`

public static class TypeCheckingContext.EnclosingClosure extends Object
Represents the context of an enclosing closure. An enclosing closure wraps a closure expression and the list of return types found in the closure body.

## Constructor Summary

Constructors
Constructor
Description
`EnclosingClosure(ClosureExpression closureExpression)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addReturnType(ClassNode type)`
`ClosureExpression`
`getClosureExpression()`
`List<ClassNode>`
`getReturnTypes()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EnclosingClosure

public EnclosingClosure(ClosureExpression closureExpression)

## Method Details

### getClosureExpression

public ClosureExpression getClosureExpression()

### getReturnTypes

public List<ClassNode> getReturnTypes()

### addReturnType

public void addReturnType(ClassNode type)

### toString

public String toString()

Overrides:
  `toString` in class `Object`